<template>
  <q-card>
    <q-card-section class="c-row items-center bg-primary text-white">
      <div class="text-24px">
        規則清單
      </div>
    </q-card-section>
    <q-card-section class="!p-0px">
      <div class="flex flex-center py-1 bg-gray-50">
        <div class="w-16 text-center">
          開關
        </div>
        <div class="flex-1 px-2">
          規則名稱
        </div>
        <div class="flex-2 px-2">
          說明
        </div>
        <div class="flex-2 text-center">
          參數
        </div>
      </div>
      <q-virtual-scroll
        style="height: 600px"
        :items="rules"
      >
        <template #default="{ item: rule }">
          <card-rule-item :rule="rule" />
        </template>
      </q-virtual-scroll>
    </q-card-section>
  </q-card>
</template>

<script lang='ts' setup>
import { computed, reactive, ref, watch } from 'vue';
import { storeToRefs } from 'pinia';

import CardRuleItem from './card-rule-item.vue';

import { useRuleStore } from '../store/rule.store';

const ruleStore = useRuleStore();
const { rules } = storeToRefs(ruleStore);
</script>

<style scoped lang='sass'>
.p-0
  padding: 0 !important
.row
  text-align: center
</style>
